Bug 477556 - initrd stops echoing to serial console at daemonize plymouthd
initrd stops echoing to serial console at daemonize plymouthd
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-21 17:44 EST by Kasper Dupont
Modified: 2009-12-18 02:21 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:21:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kasper Dupont 2008-12-21 17:44:48 EST
Description of problem:
When trying to boot my newly installed Fedora Core 10 system it hangs during the initrd. By putting lots of echo commands in the init script I found that the hang occurs on this line:
daemonize --ignore-missing /bin/plymouthd
The system is a headless system with serial console.

Version-Release number of selected component (if applicable):


How reproducible:
Hangs every time.

Steps to Reproduce:
1. Install
2. Boot
  
Actual results:
System hangs

Expected results:
System boots

Additional info:
The machine consists of this board http://pcengines.ch/alix2c3.htm with a 4GB CF card and 2x1TB USB storage.

Contents of /proc/mdstat (not sure if this is of any importance):
Personalities : [raid1] [raid6] [raid5] [raid4] 
md6 : active raid1 sda6[0] sdb6[1]
      2096384 blocks [2/2] [UU]
      
md1 : active raid1 sdb1[0] sdc1[2] sda1[1]
      3879552 blocks [3/3] [UUU]
      
md7 : active raid1 sda7[0] sdb7[1]
      970542720 blocks [2/2] [UU]
      
unused devices: <none>
Comment 1 Kasper Dupont 2008-12-22 06:14:12 EST
(I tried to update this bug earlier, but bugzilla was down.)

Turns out that plymouthd was not responsible for the boot hanging, it just caused messages to get lost. So it hid the real problem and caused itself to look like the culprit. I have filed Bug# 477596 for the real cause of the hang, and updated this bug to have a more accurate title.
Comment 2 Thomas Janssen 2009-05-28 10:16:50 EDT
Reporter found out it's not a plymouth bug. Closed.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Kasper Dupont 2009-05-28 10:51:10 EDT
That is incorrect. All evidence still suggests plymouth was responsible for the missing output to the serial console.
Comment 4 Bug Zapper 2009-11-18 05:32:23 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-12-18 02:21:54 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.